Bug 1293714 - Install of debuginfo for Konsole produces file conflicts.
Install of debuginfo for Konsole produces file conflicts.
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: dnf-plugins-core (Show other bugs)
22
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: rpm-software-management
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-22 14:38 EST by George R. Goffe
Modified: 2016-07-19 15:23 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 15:23:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
tar.gz containing debugdata (10.73 MB, application/x-gzip)
2016-01-04 10:01 EST, George R. Goffe
no flags Details

  None (edit)
Description George R. Goffe 2015-12-22 14:38:52 EST
Description of problem:

Attempt to install konsole debug info produced file conflict error messages

dnf debuginfo-install konsole5-15.08.3-1.fc22.x86_64

Version-Release number of selected component (if applicable):

konsole5-15.08.3-1.fc22.x86_64

How reproducible:


Steps to Reproduce:
1.dnf debuginfo-install konsole5-15.08.3-1.fc22.x86_64
2.
3.

Actual results:


Expected results:


Additional info:

dnf debuginfo-install konsole5-15.08.3-1.fc22.x86_64
enabling fedora-debuginfo repository
enabling rpmfusion-free-updates-debuginfo repository
enabling rpmfusion-free-debuginfo repository
enabling updates-debuginfo repository
RPM Fusion for Fedora 22 - Free - Debug                                                            417 kB/s | 354 kB     00:00    
Fedora 22 - x86_64 - Updates - Debug                                                               931 kB/s | 5.4 MB     00:05    
RPM Fusion for Fedora 22 - Free - Updates Debug                                                    279 kB/s | 172 kB     00:00    
Last metadata expiration check performed 0:00:00 ago on Tue Dec 22 11:33:28 2015.
Package glibc-debuginfo-2.21-8.fc22.x86_64 is already installed, skipping.
Package qt5-qtbase-debuginfo-5.5.1-8.fc22.x86_64 is already installed, skipping.
Package glib2-debuginfo-2.44.1-2.fc22.x86_64 is already installed, skipping.
Package zlib-debuginfo-1.2.8-7.fc22.x86_64 is already installed, skipping.
Package libselinux-debuginfo-2.3-10.fc22.x86_64 is already installed, skipping.
Package libffi-debuginfo-3.1-7.fc22.x86_64 is already installed, skipping.
Package dbus-debuginfo-1:1.8.20-1.fc22.x86_64 is already installed, skipping.
Package e2fsprogs-debuginfo-1.42.12-4.fc22.x86_64 is already installed, skipping.
Package keyutils-debuginfo-1.5.9-4.fc22.x86_64 is already installed, skipping.
Package libverto-debuginfo-0.2.6-4.fc22.x86_64 is already installed, skipping.
Package sqlite-debuginfo-3.9.0-1.fc22.x86_64 is already installed, skipping.
Package ncurses-debuginfo-5.9-18.20150214.fc22.x86_64 is already installed, skipping.
Package readline-debuginfo-6.3-5.fc22.x86_64 is already installed, skipping.
Package icu-debuginfo-54.1-4.fc22.x86_64 is already installed, skipping.
Package libX11-debuginfo-1.6.3-1.fc22.x86_64 is already installed, skipping.
Package libxcb-debuginfo-1.11-8.fc22.x86_64 is already installed, skipping.
Package libXau-debuginfo-1.0.8-4.fc22.x86_64 is already installed, skipping.
Package freetype-debuginfo-2.5.5-2.fc22.x86_64 is already installed, skipping.
Package fontconfig-debuginfo-2.11.94-4.fc22.x86_64 is already installed, skipping.
Package expat-debuginfo-2.1.0-10.fc22.x86_64 is already installed, skipping.
Package libXext-debuginfo-1.3.3-2.fc22.x86_64 is already installed, skipping.
Package libjpeg-turbo-debuginfo-1.4.0-2.fc22.x86_64 is already installed, skipping.
Package libSM-debuginfo-1.2.2-2.fc22.x86_64 is already installed, skipping.
Package libICE-debuginfo-1.0.9-2.fc22.x86_64 is already installed, skipping.
Package util-linux-debuginfo-2.26.2-3.fc22.x86_64 is already installed, skipping.
Package mesa-debuginfo-10.6.9-1.20151008.fc22.x86_64 is already installed, skipping.
Package libXfixes-debuginfo-5.0.1-4.fc22.x86_64 is already installed, skipping.
Package libXdamage-debuginfo-1.1.4-6.fc22.x86_64 is already installed, skipping.
Package libdrm-debuginfo-2.4.61-3.fc22.x86_64 is already installed, skipping.
Package libpciaccess-debuginfo-0.13.3-0.3.fc22.x86_64 is already installed, skipping.
Package libXxf86vm-debuginfo-1.1.4-1.fc22.x86_64 is already installed, skipping.
Package libxshmfence-debuginfo-1.2-1.fc22.x86_64 is already installed, skipping.
Package libXrender-debuginfo-0.9.9-1.fc22.x86_64 is already installed, skipping.
Package libXi-debuginfo-1.7.4-2.fc22.x86_64 is already installed, skipping.
Package xz-debuginfo-5.2.0-2.fc22.x86_64 is already installed, skipping.
Package libgpg-error-debuginfo-1.17-2.fc22.x86_64 is already installed, skipping.
Package pam-debuginfo-1.1.8-19.fc22.x86_64 is already installed, skipping.
Package libdb-debuginfo-5.3.28-12.fc22.x86_64 is already installed, skipping.
Package audit-debuginfo-2.4.4-1.fc22.x86_64 is already installed, skipping.
Package cracklib-debuginfo-2.9.1-5.fc22.x86_64 is already installed, skipping.
Package libgcrypt-debuginfo-1.6.3-4.fc22.x86_64 is already installed, skipping.
Package libcap-debuginfo-2.24-7.fc22.x86_64 is already installed, skipping.
Package attr-debuginfo-2.4.47-10.fc22.x86_64 is already installed, skipping.
Package elfutils-debuginfo-0.163-4.fc22.x86_64 is already installed, skipping.
Package wayland-debuginfo-1.7.0-1.fc22.x86_64 is already installed, skipping.
Package cups-debuginfo-1:2.0.3-1.fc22.x86_64 is already installed, skipping.
Package gmp-debuginfo-1:6.0.0-9.fc22.x86_64 is already installed, skipping.
Package p11-kit-debuginfo-0.23.1-2.fc22.x86_64 is already installed, skipping.
Package nettle-debuginfo-2.7.1-5.fc22.x86_64 is already installed, skipping.
Package libtasn1-debuginfo-4.5-1.fc22.x86_64 is already installed, skipping.
Package trousers-debuginfo-0.3.13-3.fc22.x86_64 is already installed, skipping.
Package avahi-debuginfo-0.6.31-43.fc22.x86_64 is already installed, skipping.
Package libxkbcommon-debuginfo-0.5.0-1.fc22.x86_64 is already installed, skipping.
Package harfbuzz-debuginfo-0.9.40-1.fc22.x86_64 is already installed, skipping.
Package graphite2-debuginfo-1.2.4-3.fc22.x86_64 is already installed, skipping.
Package libevdev-debuginfo-1.4.4-1.fc22.x86_64 is already installed, skipping.
Package mtdev-debuginfo-1.1.5-4.fc22.x86_64 is already installed, skipping.
Package xcb-util-keysyms-debuginfo-0.4.0-1.fc22.x86_64 is already installed, skipping.
Package xcb-util-image-debuginfo-0.4.0-2.fc22.x86_64 is already installed, skipping.
Package xcb-util-debuginfo-0.4.0-2.fc22.x86_64 is already installed, skipping.
Package xcb-util-renderutil-debuginfo-0.3.9-3.fc22.x86_64 is already installed, skipping.
Package xcb-util-wm-debuginfo-0.4.1-5.fc22.x86_64 is already installed, skipping.
Package kf5-kcoreaddons-debuginfo-5.17.0-1.fc22.x86_64 is already installed, skipping.
Package kf5-kconfig-debuginfo-5.17.0-1.fc22.x86_64 is already installed, skipping.
Package kf5-ki18n-debuginfo-5.17.0-1.fc22.x86_64 is already installed, skipping.
Package qt5-qtscript-debuginfo-5.5.1-2.fc22.x86_64 is already installed, skipping.
Package kf5-kwidgetsaddons-debuginfo-5.17.0-1.fc22.x86_64 is already installed, skipping.
Package kf5-kservice-debuginfo-5.17.0-2.fc22.x86_64 is already installed, skipping.
Package kf5-kcrash-debuginfo-5.17.0-1.fc22.x86_64 is already installed, skipping.
Package kf5-kwindowsystem-debuginfo-5.17.0-1.fc22.x86_64 is already installed, skipping.
Package qt5-qtx11extras-debuginfo-5.5.1-2.fc22.x86_64 is already installed, skipping.
Package kf5-kdbusaddons-debuginfo-5.17.0-1.fc22.x86_64 is already installed, skipping.
Package kf5-kauth-debuginfo-5.17.0-1.fc22.x86_64 is already installed, skipping.
Package kf5-kcodecs-debuginfo-5.17.0-1.fc22.x86_64 is already installed, skipping.
Package kf5-kconfigwidgets-debuginfo-5.17.0-1.fc22.x86_64 is already installed, skipping.
Package kf5-kguiaddons-debuginfo-5.17.0-1.fc22.x86_64 is already installed, skipping.
Package kf5-kio-debuginfo-5.17.0-2.fc22.x86_64 is already installed, skipping.
Package acl-debuginfo-2.2.52-7.fc22.x86_64 is already installed, skipping.
Package kf5-kcompletion-debuginfo-5.17.0-1.fc22.x86_64 is already installed, skipping.
Package kf5-kiconthemes-debuginfo-5.17.0-1.fc22.x86_64 is already installed, skipping.
Package kf5-kitemviews-debuginfo-5.17.0-1.fc22.x86_64 is already installed, skipping.
Package qt5-qtsvg-debuginfo-5.5.1-2.fc22.x86_64 is already installed, skipping.
Package kf5-kjobwidgets-debuginfo-5.17.0-1.fc22.x86_64 is already installed, skipping.
Package kf5-kxmlgui-debuginfo-5.17.0-1.fc22.x86_64 is already installed, skipping.
Package kf5-sonnet-debuginfo-5.17.0-1.fc22.x86_64 is already installed, skipping.
Package kf5-ktextwidgets-debuginfo-5.17.0-1.fc22.x86_64 is already installed, skipping.
Package kf5-kglobalaccel-debuginfo-5.17.0-1.fc22.x86_64 is already installed, skipping.
Package kf5-attica-debuginfo-5.17.0-1.fc22.x86_64 is already installed, skipping.
Package kf5-solid-debuginfo-5.17.0-1.fc22.x86_64 is already installed, skipping.
Package qt5-qtdeclarative-debuginfo-5.5.1-3.fc22.x86_64 is already installed, skipping.
Package qt5-qtxmlpatterns-debuginfo-5.5.1-2.fc22.x86_64 is already installed, skipping.
Package kf5-knotifications-debuginfo-5.17.0-1.fc22.x86_64 is already installed, skipping.
Package libXtst-debuginfo-1.2.2-4.fc22.x86_64 is already installed, skipping.
Package libvorbis-debuginfo-1:1.3.4-3.fc22.x86_64 is already installed, skipping.
Package libogg-debuginfo-2:1.3.2-2.fc22.x86_64 is already installed, skipping.
Package gsm-debuginfo-1.0.13-12.fc22.x86_64 is already installed, skipping.
Package tcp_wrappers-debuginfo-7.6-80.fc22.x86_64 is already installed, skipping.
Package json-c-debuginfo-0.12-5.fc22.x86_64 is already installed, skipping.
Package libasyncns-debuginfo-0.8-8.fc22.x86_64 is already installed, skipping.
Package qt5-qttools-debuginfo-5.5.1-2.fc22.x86_64 is already installed, skipping.
Package dbusmenu-qt5-debuginfo-0.9.3-0.3.20140604bzr.fc22.x86_64 is already installed, skipping.
Package kf5-kbookmarks-debuginfo-5.17.0-1.fc22.x86_64 is already installed, skipping.
Package kf5-kparts-debuginfo-5.17.0-1.fc22.x86_64 is already installed, skipping.
Package kf5-kdelibs4support-debuginfo-5.17.0-1.fc22.x86_64 is already installed, skipping.
Package kf5-kunitconversion-debuginfo-5.17.0-1.fc22.x86_64 is already installed, skipping.
Package kf5-kpty-debuginfo-5.17.0-1.fc22.x86_64 is already installed, skipping.
Package libutempter-debuginfo-1.1.6-6.fc22.x86_64 is already installed, skipping.
Package kf5-knotifyconfig-debuginfo-5.17.0-1.fc22.x86_64 is already installed, skipping.
Dependencies resolved.
===================================================================================================================================
 Package                          Arch             Version                                       Repository                   Size
===================================================================================================================================
Installing:
 konsole-debuginfo                x86_64           4.14.3-4.fc22                                 fedora-debuginfo            3.1 M
 konsole5-debuginfo               x86_64           15.08.3-1.fc22                                updates-debuginfo           4.9 M
 polkit-qt5-1-debuginfo           x86_64           0.103.0-4.20130415gitbac771e.fc22             fedora-debuginfo            474 k
Upgrading:
 gnutls-debuginfo                 x86_64           3.3.19-1.fc22                                 updates-debuginfo           2.4 M
 hunspell-debuginfo               x86_64           1.3.3-5.fc22                                  updates-debuginfo           468 k
 krb5-debuginfo                   x86_64           1.13.2-10.fc22                                updates-debuginfo           4.1 M
 libinput-debuginfo               x86_64           1.1.0-3.fc22                                  updates-debuginfo           277 k
 libpng-debuginfo                 x86_64           2:1.6.19-1.fc22                               updates-debuginfo           494 k
 libsndfile-debuginfo             x86_64           1.0.25-17.fc22                                updates-debuginfo           543 k
 nss-softokn-debuginfo            x86_64           3.21.0-1.1.fc22                               updates-debuginfo           1.9 M
 openssl-debuginfo                x86_64           1:1.0.1k-13.fc22                              updates-debuginfo           3.7 M
 pcre-debuginfo                   x86_64           8.37-7.fc22                                   updates-debuginfo           1.2 M
 phonon-debuginfo                 x86_64           4.8.3-7.fc22                                  updates-debuginfo           3.6 M
 polkit-debuginfo                 x86_64           0.113-4.fc22                                  updates-debuginfo           375 k
 pulseaudio-debuginfo             x86_64           6.0-8.fc22                                    updates-debuginfo           3.5 M
 systemd-debuginfo                x86_64           219-26.fc22                                   updates-debuginfo            18 M

Transaction Summary
===================================================================================================================================
Install   3 Packages
Upgrade  13 Packages

Total download size: 49 M
Is this ok [y/N]: y
Downloading Packages:
(1/16): polkit-qt5-1-debuginfo-0.103.0-4.20130415gitbac771e.fc22.x86_64.rpm                        381 kB/s | 474 kB     00:01    
(2/16): konsole-debuginfo-4.14.3-4.fc22.x86_64.rpm                                                 557 kB/s | 3.1 MB     00:05    
(3/16): nss-softokn-debuginfo-3.21.0-1.1.fc22.x86_64.rpm                                           365 kB/s | 1.9 MB     00:05    
(4/16): pcre-debuginfo-8.37-7.fc22.x86_64.rpm                                                      207 kB/s | 1.2 MB     00:05    
(5/16): openssl-debuginfo-1.0.1k-13.fc22.x86_64.rpm                                                628 kB/s | 3.7 MB     00:05    
(6/16): konsole5-debuginfo-15.08.3-1.fc22.x86_64.rpm                                               341 kB/s | 4.9 MB     00:14    
(7/16): krb5-debuginfo-1.13.2-10.fc22.x86_64.rpm                                                   778 kB/s | 4.1 MB     00:05    
(8/16): libpng-debuginfo-1.6.19-1.fc22.x86_64.rpm                                                  105 kB/s | 494 kB     00:04    
(9/16): libinput-debuginfo-1.1.0-3.fc22.x86_64.rpm                                                 245 kB/s | 277 kB     00:01    
(10/16): polkit-debuginfo-0.113-4.fc22.x86_64.rpm                                                  150 kB/s | 375 kB     00:02    
(11/16): hunspell-debuginfo-1.3.3-5.fc22.x86_64.rpm                                                236 kB/s | 468 kB     00:01    
(12/16): gnutls-debuginfo-3.3.19-1.fc22.x86_64.rpm                                                 311 kB/s | 2.4 MB     00:07    
(13/16): phonon-debuginfo-4.8.3-7.fc22.x86_64.rpm                                                  470 kB/s | 3.6 MB     00:07    
(14/16): pulseaudio-debuginfo-6.0-8.fc22.x86_64.rpm                                                467 kB/s | 3.5 MB     00:07    
(15/16): libsndfile-debuginfo-1.0.25-17.fc22.x86_64.rpm                                            214 kB/s | 543 kB     00:02    
(16/16): systemd-debuginfo-219-26.fc22.x86_64.rpm                                                  682 kB/s |  18 MB     00:26    
-----------------------------------------------------------------------------------------------------------------------------------
Total                                                                                              1.1 MB/s |  49 MB     00:43     
Running transaction check
Transaction check succeeded.
Running transaction test
The downloaded packages were saved in cache till the next successful transaction.
You can remove cached packages by executing 'dnf clean packages'.
Error: Transaction check error:
  file /usr/lib/debug/usr/lib64/libpolkit-qt5-agent-1.so.1.debug from install of polkit-qt5-1-debuginfo-0.103.0-4.20130415gitbac771e.fc22.x86_64 conflicts with file from package polkit-qt-debuginfo-0.112.0-3.fc22.x86_64
  file /usr/lib/debug/usr/lib64/libpolkit-qt5-agent-1.so.debug from install of polkit-qt5-1-debuginfo-0.103.0-4.20130415gitbac771e.fc22.x86_64 conflicts with file from package polkit-qt-debuginfo-0.112.0-3.fc22.x86_64
  file /usr/lib/debug/usr/lib64/libpolkit-qt5-core-1.so.1.debug from install of polkit-qt5-1-debuginfo-0.103.0-4.20130415gitbac771e.fc22.x86_64 conflicts with file from package polkit-qt-debuginfo-0.112.0-3.fc22.x86_64
  file /usr/lib/debug/usr/lib64/libpolkit-qt5-core-1.so.debug from install of polkit-qt5-1-debuginfo-0.103.0-4.20130415gitbac771e.fc22.x86_64 conflicts with file from package polkit-qt-debuginfo-0.112.0-3.fc22.x86_64
  file /usr/lib/debug/usr/lib64/libpolkit-qt5-gui-1.so.1.debug from install of polkit-qt5-1-debuginfo-0.103.0-4.20130415gitbac771e.fc22.x86_64 conflicts with file from package polkit-qt-debuginfo-0.112.0-3.fc22.x86_64
  file /usr/lib/debug/usr/lib64/libpolkit-qt5-gui-1.so.debug from install of polkit-qt5-1-debuginfo-0.103.0-4.20130415gitbac771e.fc22.x86_64 conflicts with file from package polkit-qt-debuginfo-0.112.0-3.fc22.x86_64
  file /usr/lib/debug/usr/bin/konsole.debug conflicts between attempted installs of konsole5-debuginfo-15.08.3-1.fc22.x86_64 and konsole-debuginfo-4.14.3-4.fc22.x86_64

Error Summary
-------------
Comment 1 Rex Dieter 2015-12-22 14:41:50 EST
Sorry, just remove the conflicts

rpm -e polkit-qt5-1-debuginfo konsole-debuginfo
Comment 2 George R. Goffe 2015-12-22 16:12:52 EST
Hi Rex,

rpm --nodeps -e polkit-qt5-1-debuginfo konsole-debuginfo
error: package polkit-qt5-1-debuginfo is not installed
error: package konsole-debuginfo is not installed

Thanks for your help with this.

Regards,

George...
Comment 3 Rex Dieter 2015-12-22 19:50:14 EST
Very strange that debuginfo-install would try to install those things (one is deprecated (polkit-qt5-1 in favor of polkit-qt) and the other is kde4 (konsole)
Comment 4 Rex Dieter 2015-12-22 21:37:49 EST
Maybe try (yum-based): 
debuginfo-install konsole5

instead?
Comment 5 Rex Dieter 2015-12-22 22:03:21 EST
Yeah, I can reproduce the problem on f23 with 'dnf debuginfo-install' too, re-assigning.
Comment 6 Rex Dieter 2015-12-22 22:10:29 EST
Reporter, this should work too (to avoid conflicts):

dnf debuginfo-install konsole5 --exclude=polkit-qt5-1-debuginfo --exclude=konsole-debuginfo
Comment 7 George R. Goffe 2015-12-23 03:11:05 EST
Rex,

The above worked... added 5 pkgs...

Thanks for your help!

George...
Comment 8 Honza Silhan 2015-12-23 07:45:05 EST
Does solution work yum (from comment 4) works for you, George?

I've got these outputs:

# sudo debuginfo-install konsole5 --releasever=23 --setopt=*.skip_if_unavailable=1
Could not find a package for: konsole5
No debuginfo packages available to install

# sudo dnf debuginfo-install konsole5 --releasever=23
...
Transaction Summary
=======================================
Install  44 Packages
Skip     18 Packages

Total download size: 256 M
Installed size: 1.1 G
Is this ok [y/N]: 

Anytime You have errors inside RPM transaction then it's usually a packaging problem. polkit-qt5-1-debuginfo and/or konsole-debuginfo packages are probably on blame.

Rex, is there any reason why these packages shouldn't be pulled into transaction? It looks like the dependencies of konsole5.
Comment 9 George R. Goffe 2015-12-23 07:52:34 EST
Jan,

I didn't try with yum... Just  DNF. Fedora 22

George...
Comment 10 Rex Dieter 2015-12-23 09:54:22 EST
I explained in comment #3 why they shouldn't be pulled in, one of those is deprecated (not installed and Obsoletes'd by something else) the other is a completely different runtime (kf5 vs kde4)
Comment 11 Honza Silhan 2016-01-04 08:40:58 EST
George, can you attach the debugdata [1], please? I still see it as rather packaging problem.

[1] https://github.com/rpm-software-management/dnf/wiki/Bug-Reporting#dependency-resolution-problem
Comment 12 George R. Goffe 2016-01-04 10:01 EST
Created attachment 1111511 [details]
tar.gz containing debugdata

This archive contains two files: 1 is konsole-afu.txt and 2 is the debugdata requested.

Jan,

This is such a sad story... I ran several "dnf" commands with the same results and then decided to save the Konsole output. I got a crash of browser, all Konsoles, xosview... everything(?) started via Konsole. This bug has been reported. Sigh.

I have a script recording of what I have done for this bug (included in the tar.gz file) and the debugdata as you requested.

Thanks for your help!

George...
Comment 13 Fedora Admin XMLRPC Client 2016-07-08 05:25:08 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 14 Fedora End Of Life 2016-07-19 15:23:42 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.